Ship = 0
SubSystem = 1

build = 
{

	-- Spawn ships must be added to the build scripts to allow the AI to use them (I don't know why, it just does!)
	{
		Type = Ship,
		ThingToBuild = "SHA_BATTLECRAB",
		RequiredResearch = "",
		RequiredShipSubSystems = "",
		DisplayPriority = 1000,
		DisplayedName = "Battlecrab",
		Description = "",
	},

	{
		Type = Ship,
		ThingToBuild = "SHA_SPITFIRE",
		RequiredResearch = "",
		RequiredShipSubSystems = "",
		DisplayPriority = 1001,
		DisplayedName = "Spitfire",
		Description = "",
	},
	
	{
		Type = Ship,
		ThingToBuild = "VOR_FIGHTER",
		RequiredResearch = "",
		RequiredShipSubSystems = "",
		DisplayPriority = 1002,
		DisplayedName = "Lightning",
		Description = "",
	},	
	
	
	-- Normal build ships

	{ 
		Type = Ship, 
		ThingToBuild = "EAR_Starfury", 
		RequiredResearch = "", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 11, 
		DisplayedName = "Aurora Starfury", 
		Description = "<b>Designation:</b> SA-23E Aurora Starfury\n" ..
		              "<b>Role:</b> Space Superiority Fighter\n" ..
		              "<b>Length:</b> 9.92m\n" ..
		              "<b>Weapons:</b> 4 x 40mm Pulse Cannons\n" ..
		              "<b>Squad size:</b> 4\n" ..
		              "<b>Primary targets:</b> Fighters, Corvettes\n",
	},
	
	{ 
		Type = Ship, 
		ThingToBuild = "EAR_BlackOmega", 
		RequiredResearch = "", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 13, 
		DisplayedName = "Black Omega Starfury", 
		Description = "<b>Designation:</b> SA-23EX Aurora Starfury (Black Omega)\n" ..
		              "<b>Role:</b> Stealth Superiority Fighter\n" ..
		              "<b>Length:</b> 9.92m\n" ..
		              "<b>Weapons:</b> 4 x 40mm Pulse Cannons\n" ..
		              "<b>Squad size:</b> 4\n" ..
		              "<b>Primary targets:</b> Fighters, Corvettes\n",
	},

	{ 
		Type = Ship, 
		ThingToBuild = "EAR_Thunderbolt", 
		RequiredResearch = "Thunderbolt", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 14, 
		DisplayedName = "Thunderbolt Starfury", 
		Description = "<b>Designation:</b> SA-32A Thunderbolt Starfury\n" ..
		              "<b>Role:</b> Advanced Multirole Fighter\n" ..
		              "<b>Length:</b> 16.24m\n" ..
		              "<b>Weapons:</b> 1 x 45mm Gatling Pulse Cannon, 2 x Fusion Missiles\n" ..
		              "<b>Squad size:</b> 4\n" ..
		              "<b>Primary targets:</b> Fighters, Corvettes, Capital Ships\n",
	}, 

	{ 
		Type = Ship, 
		ThingToBuild = "EAR_OLYMPUS", 
		RequiredResearch = "", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 21, 
		DisplayedName = "Olympus", 
		Description = "<b>Designation:</b> Olympus Class\n" ..
		              "<b>Role:</b> Fire Support Corvette\n" ..
		              "<b>Length:</b> 444.25m\n" ..
		              "<b>Weapons:</b> 2 x Missile Launchers, 4 x Dual Light Pulse Cannons, 1 x Medium Pulse Cannon (Upgradable)\n" ..
		              "<b>Primary targets:</b> Fighters, Small Capital Ships\n",
	}, 	

	{ 
		Type = Ship, 
		ThingToBuild = "EAR_Hyperion", 
		RequiredResearch = "hyperion", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 48, 
		DisplayedName = "Hyperion Heavy Cruiser", 
		Description = "<b>Designation:</b> Hyperion Class\n" ..
		              "<b>Role:</b> Heavy Cruiser\n" ..
		              "<b>Length:</b> 1025.39m\n" ..
		              "<b>Weapons:</b> 8 x Quad Light Pulse Cannons, 2 x Heavy Plasma Cannons (Upgradable)\n" ..
		              "<b>Primary targets:</b> Corvettes, Capital Ships\n",
	},
	
	{ 
		Type = Ship, 
		ThingToBuild = "EAR_CottonTender", 
		RequiredResearch = "", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 58, 
		DisplayedName = "Cotton Tender", 
		Description = "<b>Designation:</b> Cotton Tender \n"..
		"<b>Length:</b> 1050m\n"..
		"<b>Weapons:</b> 2 Heavy Plasma Cannons, 8 x Quad Light Pulse Turrets\n"..
		"<b>Description:</b> A general purpose assault cruiser. Upgradeable.\n"..
		"<b>Squad size:</b> 1\n"..
		"<b>Strong vs:</b> Fighters,Corvettes,Frigates,Capital ships\n"..
		"<b>Weak vs:</b> Capital ships and Heavy Cruisers\n"..
		"<b>Requires:</b> You\n",
	},	

	{ 
		Type = Ship, 
		ThingToBuild = "EAR_Nova", 
		RequiredResearch = "Nova", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 49, 
		DisplayedName = "Nova Dreadnaught", 
		Description = "<b>Designation:</b> Nova Class\n" ..
		              "<b>Role:</b> Dreadnaught\n" ..
		              "<b>Length:</b> 1502.1m\n" ..
		              "<b>Weapons:</b> 18 x Dual Heavy Plasma Cannons, 4 x Rear Facing Heavy Plasma Cannons\n" ..
		              "<b>Primary targets:</b> Small/Large Capital Ships\n",		
		
	}, 

	{ 
		Type = Ship, 
		ThingToBuild = "EAR_OMEGA", 
		RequiredResearch = "Omega", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 50, 
		DisplayedName = "Omega Destroyer", 
		Description = "<b>Designation:</b> Omega Class\n" ..
		              "<b>Role:</b> Destroyer\n" ..
		              "<b>Length:</b> 1714.3m\n" ..
		              "<b>Weapons:</b> 2 x Heavy Laser/Pulse Cannons, 4 x Rear Facing Heavy Pulse Cannons, 12 x Medium Pulse Cannons\n" ..
		              "<b>Primary targets:</b> Small/Large Capital Ships\n",		
	},
	{ 
		Type = Ship, 
		ThingToBuild = "EAR_WARLOCK", 
		RequiredResearch = "Warlock", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 51, 
		DisplayedName = "Warlock Destroyer", 
		Description = "<b>Designation:</b> Warlock Destroyer \n"..
		"<b>Length:</b> 1992.4m\n"..
		"<b>Weapons:</b> 4 x Beam\Pulse Turrents and  2 x Dual Firing Beam\Pulse Turrets\n"..
		"<b>Description:</b>A Large Destroyer\Carrier. Used for recon,attack and housing fighter,etc..\n"..
		"<b>Squad size:</b> 1\n"..
		"<b>Strong vs:</b> Fighters,Corvettes,Frigates,Capital ships\n"..
		"<b>Weak vs:</b> Capital ships and Heavy Cruisers\n"..
		"<b>Requires:</b> You\n",
	},
	{ 
		Type = Ship, 
		ThingToBuild = "EAR_OMEGAX", 
		RequiredResearch = "TechFirstOnes & TechDestroyer",
		RequiredShipSubSystems = "", 
		DisplayPriority = 52, 
		DisplayedName = "Omega-X Destroyer", 
		Description = "<b>Designation:</b> Omega-X Destroyer \n"..
		"<b>Length:</b> 2000m\n"..
		"<b>Weapons:</b> 4 x Beam\Pulse Turrents and  2 x Dual Firing Beam\Pulse Turrets\n"..
		"<b>Description:</b>A Large Destroyer\Carrier. Used for recon,attack and housing fighter,etc..\n"..
		"<b>Squad size:</b> 1\n"..
		"<b>Strong vs:</b> Fighters,Corvettes,Frigates,Capital ships\n"..
		"<b>Weak vs:</b> Capital ships and Heavy Cruisers\n"..
		"<b>Requires:</b> You\n",
	},
	

	{ 
		Type = Ship, 
		ThingToBuild = "EAR_GODSAT", 
		RequiredResearch = "GODSat", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 61, 
		DisplayedName = "Aegis", 
		Description = "Heavy Defense Satellite",
	},
	
	{ 
		Type = Ship, 
		ThingToBuild = "EAR_ORIONSTATION", 
		RequiredResearch = "", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 1000, 
		DisplayedName = "Orion Space Station", 
		Description = "",
	},

}
