Icon_Speed = "data:ui/newui/research/icons/speed.mres"
Icon_Health = "data:ui/newui/research/icons/health.mres"
Icon_Tech = "data:ui/newui/research/icons/tech.mres"
Icon_Ability = "data:ui/newui/research/icons/ability.mres"
Icon_Build = "data:ui/newui/research/icons/build.mres"

Modifier = 0
Ability = 1
AllShips = 0
Family = 1
Ship = 2

research = {

	--{
	--	Name = "SmallMissiles",
	--	RequiredResearch = "TechAdvFighter & Thunderbolt",
	--	RequiredSubSystems = "",
	--	Cost = 200,
	--	Time = 20,
	--	DisplayedName = "Fighter Missile Systems",
	--	DisplayPriority = 1,
	--	Description = "A ship-to-ship missile system designed to increase the effectivness of the Thunderbolt against larger ships.",
	--	TargetType = Ship,
	--	TargetName = "EAR_Thunderbolt",
    	--	Icon = Icon_Build,
	--	ShortDisplayedName = "Fighter Missiles",    		
	--},
	
	{
		Name = "HeavyMissiles",
		RequiredResearch = "TechAdvLaserWeapons",
		RequiredSubSystems = "",
		Cost = 2000,
		Time = 120,
		DisplayedName = "Heavy Missile Systems",
		DisplayPriority = 1,
		Description = "A Larger and more destructive version of the missile systems used on the Olympus Corvette.",
		TargetType = Family,
		TargetName = "Platform",
    		Icon = Icon_Build,
		ShortDisplayedName = "Heavy Missiles",    		
	},

	{
		Name = "GODSat",
		RequiredResearch = "HeavyMissiles",
		RequiredSubSystems = "",
		Cost = 2000,
		Time = 120,
		DisplayedName = "G.O.D. Defence Satalite",
		DisplayPriority = 1,
		Description = "Allows production of the G.O.D. Defence Satalite.",
		TargetType = Ship,
		TargetName = "EAR_GODSat",
    		Icon = Icon_Build,
		ShortDisplayedName = "Heavy Missiles",    		
	},

	--{ 
	--	Name = "UpgradeOrionArmour1", 
	--	RequiredResearch = "", -- "ClassHeavyShip", 
	--	RequiredSubSystems = "", 
	--	Cost = 500, 
	--	Time = 30, 
	--	DisplayedName = "Armour Upgrade (Stage 1)", 
	--	DisplayPriority = 100, 
	--	Description = 
	--		"<b>Description:</b> Increases Maximum Health\n",
	--	UpgradeType = Modifier, 
	--	TargetType = Ship, 
	--	TargetName = "EAR_OrionStation", 
	--	UpgradeName = "MAXHEALTH", 
	--	UpgradeValue = 1.4, 
	--	Icon = Icon_Health, 
	--	ShortDisplayedName = "Armour Upgrade 1",
	--},
	
	--{ 
	--	Name = "UpgradeOrionArmour2", 
	--	RequiredResearch = "UpgradeOrionArmour1", -- "UpgradeOrionArmour1 & TechGravimetrics & TechAdvLaserWeapons", 
	--	RequiredSubSystems = "", 
	--	Cost = 750, 
	--	Time = 40, 
	--	DisplayedName = "Armour Upgrade (Stage 2)", 
	--	DisplayPriority = 100, 
	--	Description = 
	--		"<b>Description:</b> Further Increases Maximum Health\n",
	--	UpgradeType = Modifier, 
	--	TargetType = Ship, 
	--	TargetName = "EAR_OrionStation", 
	--	UpgradeName = "MAXHEALTH", 
	--	UpgradeValue = 1.8, 
	--	Icon = Icon_Health, 
	--	ShortDisplayedName = "Armour Upgrade 2",
	--},	

	{
		Name = "Nova",
		RequiredResearch = "TechDestroyer",
		RequiredSubSystems = "",
		Cost = 800,
		Time = 40,
		DisplayedName = "Nova Class Dreadnought",
		DisplayPriority = 1,
		Description = "Grants production of Nova class Dreadnoughts",
		TargetType = Ship,
		TargetName = "EAR_Nova",
    		Icon = Icon_Build,
		ShortDisplayedName = "Nova Class",    		
	},

	--{ 
	--	Name = "UpgradeStarfuryArmour1", 
	--	RequiredResearch = "", 
	--	RequiredSubSystems = "", 
	--	Cost = 300, 
	--	Time = 30, 
	--	DisplayedName = "Starfury Armour Upgrade 1", 
	--	DisplayPriority = 1, 
	--	Description = 
	--		"<b>Description:</b> Improves Starfury Armour\n"..
	--		" \n"..
	--		"<b>Prerequisites:</b> None",
	--	UpgradeType = Modifier, 
	--	TargetType = Ship, 
	--	TargetName = "EAR_Starfury", 
	--	UpgradeName = "MAXHEALTH", 
	--	UpgradeValue = 1.15, 
	--	Icon = Icon_Health, 
	--	ShortDisplayedName = "Armour Upgrade",
	--}, 

	--{ 
	--	Name = "UpgradeStarfuryEngine1", 
	--	RequiredResearch = "", 
	--	RequiredSubSystems = "", 
	--	Cost = 300, 
	--	Time = 30, 
	--	DisplayedName = "Starfury Engine Upgrade 1", 
	--	DisplayPriority = 3, 
	--	Description = 
	--		"<b>Description:</b> Improves Starfury Engine Speeds\n"..
	--		" \n"..
	--		"<b>Prerequisites:</b> None",
	--	UpgradeType = Modifier, 
	--	TargetType = Ship, 
	--	TargetName = "EAR_Starfury", 
	--	UpgradeName = "MAXSPEED", 
	--	UpgradeValue = 1.1, 
	--	Icon = Icon_Speed, 
	--	ShortDisplayedName = "Engine Upgrade",
	--}, 


	--{ 
	--	Name = "UpgradeBlackOmegaArmour1", 
	--	RequiredResearch = "AdvSensors", 
	--	RequiredSubSystems = "", 
	--	Cost = 1, 
	--	Time = 1, 
	--	DisplayedName = " Black Omega Armour Upgrade 1", 
	--	DisplayPriority = 1, 
	--	Description = 
	--		"<b>Description:</b> Improves Black Omega Starfury Armour\n"..
	--		" \n"..
	--		"<b>Prerequisites:</b> None",
	--	UpgradeType = Modifier, 
	--	TargetType = Ship, 
	--	TargetName = "EAR_BlackOmega", 
	--	UpgradeName = "MAXHEALTH", 
	--	UpgradeValue = 1.15, 
	--	Icon = Icon_Health, 
	--	ShortDisplayedName = "Armour Upgrade",
	--}, 

	--{ 
	--	Name = "UpgradeBlackOmegaEngine1", 
	--	RequiredResearch = "AdvSensors", 
	--	RequiredSubSystems = "", 
	--	Cost = 300, 
	--	Time = 30, 
	--	DisplayedName = "Starfury Engine Upgrade 1", 
	--	DisplayPriority = 3, 
	--	Description = 
	--		"<b>Description:</b> Improves Black Omega Starfury Engine Speeds\n"..
	--		" \n"..
	--		"<b>Prerequisites:</b> None",
	--	UpgradeType = Modifier, 
	--	TargetType = Ship, 
	--	TargetName = "EAR_BlackOmega", 
	--	UpgradeName = "MAXSPEED", 
	--	UpgradeValue = 1.1, 
	--	Icon = Icon_Speed, 
	--	ShortDisplayedName = "Engine Upgrade",
	--}, 

	--{
	--	Name = "AdvSensors",
	--	RequiredResearch = "",
	--	RequiredSubSystems = "",
	--	Cost = 500,
	--	Time = 45,
	--	DisplayedName = "Advanced Sensor Suite",
	--	DisplayPriority = 1,
	--	Description = "A highly advanced sensor technology developed by the PsiCorp which gives their ships increased sensor ranges.",
	--	TargetType = Ship,
	--	TargetName = "EAR_BlackOmega",
    	--	Icon = Icon_Build,
	--	ShortDisplayedName = "Advanced Sensors",    		    		
	--},

	{
		Name = "TechAdvFighter",
		RequiredResearch = "",
		RequiredSubSystems = "",
		Cost = 500,
		Time = 30,
		DisplayedName = "Advanced Fighter Hull Technology",
		DisplayPriority = 2,
		Description = "Research into armor and engine technologies have developed a new heavy Starfury.",
		TargetType = Family,
		TargetName = "Fighter",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Advanced Fighter Tech.",    		    		
	},

	{
		Name = "Thunderbolt",
		RequiredResearch = "TechAdvFighter",
		RequiredSubSystems = "",
		Cost = 800,
		Time = 40,
		DisplayedName = "Thunderbolt class Starfury",
		DisplayPriority = 2,
		Description = "Allows production of Thunderbolt class Starfury.",
		TargetType = Ship,
		TargetName = "EAR_Thunderbolt",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Thunderbolt Class",    		    		
	},
	--{ 
	--	Name = "UpgradeThunderboltArmour1", 
	--	RequiredResearch = "TechAdvFighter", 
	--	RequiredSubSystems = "", 
	--	Cost = 1, 
	--	Time = 1, 
	--	DisplayedName = "Thunderbolt Armour Upgrade 1", 
	--	DisplayPriority = 1, 
	--	Description = 
	--		"<b>Description:</b> Improves Thunderbolt Starfury Armour\n"..
	--		"<b>Prerequisites:</b> None",
	--	UpgradeType = Modifier, 
	--	TargetType = Ship, 
	--	TargetName = "EAR_Thunderbolt", 
	--	UpgradeName = "MAXHEALTH", 
	--	UpgradeValue = 1.15, 
	--	Icon = Icon_Health, 
	--	ShortDisplayedName = "Armour Upgrade",
	--}, 

	--{ 
	--	Name = "UpgradeThunderboltEngine1", 
	--	RequiredResearch = "TechAdvFighter", 
	--	RequiredSubSystems = "", 
	--	Cost = 300, 
	--	Time = 30, 
	--	DisplayedName = "Thunderbolt Engine Upgrade 1", 
	--	DisplayPriority = 3, 
	--	Description = 
	--		"<b>Description:</b> Improves Thunderbolt Starfury Engine Speeds\n"..
	--		" \n"..
	--		"<b>Prerequisites:</b> None",
	--	UpgradeType = Modifier, 
	--	TargetType = Ship, 
	--	TargetName = "EAR_Thunderbolt", 
	--	UpgradeName = "MAXSPEED", 
	--	UpgradeValue = 1.1, 
	--	Icon = Icon_Speed, 
	--	ShortDisplayedName = "Engine Upgrade",
	--},

	{
		Name = "Hyperion",
		RequiredResearch = "TechCruiser & TechDestroyer",
		RequiredSubSystems = "",
		Cost = 1000,
		Time = 50,
		DisplayedName = "Hyperion Class Heavy Cruiser",
		DisplayPriority = 5,
		Description = "Allows production of Hyperion class Heavy Cruisers.",
		TargetType = Ship,
		TargetName = "EAR_Hyperion",
    		Icon = Icon_Build,
		ShortDisplayedName = "Hyperion Class",    	
	},

	{
		Name = "TechCruiser",
		RequiredResearch = "TechDestroyer",
		RequiredSubSystems = "",
		Cost = 800,
		Time = 30,
		DisplayedName = "Cruiser Power Plant Technology",
		DisplayPriority = 5,
		Description = "Larger ships require greater energy generation technologies.",
		TargetType = Family,
		TargetName = "Frigate",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Cruiser Power Plant",    		    		
	},
	
	{
		Name = "TechDestroyer",
		RequiredResearch = "",
		RequiredSubSystems = "",
		Cost = 1000,
		Time = 40,
		DisplayedName = "Dreadnought Size Power Plant",
		DisplayPriority = 5,
		Description = "Dreadnoughts and destroyers require advanced power plants and structural designs.",
		TargetType = Family,
		TargetName = "Capital",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Dreadnought Power Plant",    		    		
	},

	{
		Name = "TechLaserWeapons",
		RequiredResearch = "TechDestroyer",
		RequiredSubSystems = "",
		Cost = 500,
		Time = 20,
		DisplayedName = "Laser Weapon Technology;",
		DisplayPriority = 5,
		Description = "A result of the weapons technology given to Earth Force by the Narns during the Minbari War. Laser weapons are able to inflict greater damage than conventional pulse weapons.",
		TargetType = Family,
		TargetName = "Capital",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Laser Weapons",    		    		
	},

	{
		Name = "Omega",
		RequiredResearch = "TechLaserWeapons",
		RequiredSubSystems = "",
		Cost = 1500,
		Time = 50,
		DisplayedName = "Omega Class Destroyer",
		DisplayPriority = 5,
		Description = "Allows the production of the Omega class Destroyer",
		TargetType = Ship,
		TargetName = "EAR_Omega",
    		Icon = Icon_Build,
		ShortDisplayedName = "Omega Class",    		    		
	},

	{
		Name = "TechAdvLaserWeapons",
		RequiredResearch = "TechLaserWeapons",
		RequiredSubSystems = "",
		Cost = 2500,
		Time = 150,
		DisplayedName = "Advanced Laser Weapon Technology",
		DisplayPriority = 5,
		Description = "An upgraded beam weapon design created for the new G.O.D. Defence System and later adapted for the Warlock Advanced Destoyer. The most advanced weapon to be built by Earth Force.",
		TargetType = Family,
		TargetName = "Platform",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Adv. Laser Weapons",    		    		
	},

	{
		Name = "Warlock",
		RequiredResearch = "HeavyMissiles & TechAdvLaserWeapons",
		RequiredSubSystems = "",
		Cost = 3000,
		Time = 180,
		DisplayedName = "Warlock Advanced Destroyer",
		DisplayPriority = 1,
		Description = "Allows production of the Warlock class Advanced Destroyer",
		TargetType = Ship,
		TargetName = "EAR_Warlock",
    		Icon = Icon_Build,
		ShortDisplayedName = "Warlock Class",    		    		
	},

	{
		Name = "UpgradeOlympusWeapons",
		RequiredResearch = "",
		RequiredSubSystems = "",
		Cost = 200,
		Time = 20,
		DisplayedName = "Olympus Weapons Upgrade",
		DisplayPriority = 78,
		Description = 
		"<b>Description:</b> Replaces Tower Cannon With a Rail Gun \n",
		UpgradeType = Ability,
		TargetType = Ship,
		TargetName = "EAR_OLYMPUS",
		UpgradeName = "UseSpecialWeaponsInNormalAttack",
		Icon = Icon_Ability,
		ShortDisplayedName = "Weapons Upgrade",
	},

	{
		Name = "OmegaSpecialAttack",
		RequiredResearch = "",
		RequiredSubSystems = "",
		Cost = 0,
		Time = 0,
		DisplayedName = "",
		DisplayPriority = 99,
		Description = "",
		UpgradeType = Ability,
		TargetType = Ship,
		TargetName = "EAR_OMEGA",
		UpgradeName = "UseSpecialWeaponsInNormalAttack",
		Icon = Icon_Ability,
		ShortDisplayedName = "",
	},
		
	{
		Name = "UpgradeHyperionWeapons",
		RequiredResearch = "TechLaserWeapons",
		RequiredSubSystems = "",
		Cost = 200,
		Time = 20,
		DisplayedName = "Hyperion Weapons Upgrade",
		DisplayPriority = 9,
		Description = 
		"<b>Description:</b> Upgrades Main Cannon and Replaces Side Cannons With Laser Weapons\n"..
		" \n"..
		"<b>Prerequisites:</b> Laser Weapons",
		UpgradeType = Ability,
		TargetType = Ship,
		TargetName = "EAR_Hyperion",
		UpgradeName = "UseSpecialWeaponsInNormalAttack",
		Icon = Icon_Ability,
		ShortDisplayedName = "Weapons Upgrade",
	},
	
	--{
	--	Name = "UpgradeOrionWeapons",
	--	RequiredResearch = "",
	--	RequiredSubSystems = "",
	--	Cost = 400,
	--	Time = 30,
	--	DisplayedName = "Orion Weapons Upgrade",
	--	DisplayPriority = 85,
	--	Description = 
	--		"<b>Description:</b> Upgrades Weapon Battery Heavier Pulse/Plasma Cannons\n",
	--	UpgradeType = Ability,
	--	TargetType = Ship,
	--	TargetName = "EAR_ORIONSTATION",
	--	UpgradeName = "UseSpecialWeaponsInNormalAttack",
	--	Icon = Icon_Ability,
	--	ShortDisplayedName = "Weapons Upgrade",
	--},
	
	--{ 
	--	Name = "UpgradeThunderboltArmour1", 
	--	RequiredResearch = "TechAdvFighter, SmallMissiles", 
	--	RequiredSubSystems = "", 
	--	Cost = 400, 
	--	Time = 30, 
	--	DisplayedName = "Thunderbolt Armour Upgrade 1", 
	--	DisplayPriority = 1, 
	--	Description = 
	--		"<b>Description:</b> Improves Thunderbolt Armour\n"..
	--		" \n"..
	--		"<b>Prerequisites:</b> None",
	--	UpgradeType = Modifier, 
	--	TargetType = Ship, 
	--	TargetName = "EAR_Thunderbolt", 
	--	UpgradeName = "MAXHEALTH", 
	--	UpgradeValue = 1.15, 
	--	Icon = Icon_Health, 
	--	ShortDisplayedName = "Armour Upgrade",
	--}, 

	--{ 
	--	Name = "UpgradeThunderboltEngine1", 
	--	RequiredResearch = "TechAdvFighter, SmallMissiles", 
	--	RequiredSubSystems = "", 
	--	Cost = 400, 
	--	Time = 30, 
	--	DisplayedName = "Thunderbolt Engine Upgrade 1", 
	--	DisplayPriority = 2, 
	--	Description = 
	--		"<b>Description:</b> Improves Thunderbolt Engine Speeds\n"..
	--		" \n"..
	--		"<b>Prerequisites:</b> None",
	--	UpgradeType = Modifier, 
	--	TargetType = Ship, 
	--	TargetName = "EAR_Thunderbolt", 
	--	UpgradeName = "MAXSPEED", 
	--	UpgradeValue = 1.1, 
	--	Icon = Icon_Speed, 
	--	ShortDisplayedName = "Engine Upgrade",
	--}, 

	{
		Name = "UpgradeStarfuryReactor",
		RequiredResearch = "TechAdvFighter",
		RequiredSubSystems = "",
		Cost = 300,
		Time = 30,
		DisplayedName = "Starfury Reactor Upgrade",
		DisplayPriority = 13,
		Description = 
		"<b>Description:</b> Upgrades Starfury's reactor, allows the use of the secondary pulse cannons\n"..
		" \n"..
		"<b>Prerequisites:</b> None",
		UpgradeType = Ability,
		TargetType = Ship,
		TargetName = "EAR_Starfury",
		UpgradeName = "UseSpecialWeaponsInNormalAttack",
		Icon = Icon_Ability,
		ShortDisplayedName = "Weapons Upgrade",
	},
	

-- SPECIAL TECH (CAN ONLY BE GRANTED BY GAME EVENT)

	{
		Name = "TechFirstOnes",
		RequiredResearch = "RESEARCH HACK",
		RequiredSubSystems = "",
		Cost = 0,
		Time = 0,
		DisplayedName = "First Ones Technology",
		DisplayPriority = 11,
		Description = "",
		TargetType = Family,
		TargetName = "Capital",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Firstones",    		    		
	},
	
	
	{
		Name = "RealGuns",
		RequiredResearch = "RESEARCH HACK",
		RequiredSubSystems = "",
		Cost = 0,
		Time = 0,
		DisplayedName = "Real Firepower",
		DisplayPriority = 12,
		Description = "",
		UpgradeType = Modifier, 		
		TargetType = AllShips,
		UpgradeName = "WEAPONDAMAGE", 
		UpgradeValue = 4, 			
		Icon = Icon_Tech,
		ShortDisplayedName = "Real Guns",    		    		
	},	
	

}
