-- LuaDC version 0.9.19
-- 5/23/2004 7:23:40 PM
-- LuaDC by Age2uN
-- on error send source file (compiled lua) and this outputfile to Age2uN@gmx.net
--modified by maxdamage
Ship = 0
SubSystem = 1

build = {
	
	-- Spawn ships must be added to the build scripts to allow the AI to use them (I don't know why, it just does!)	
	{
		Type = Ship,
		ThingToBuild = "SHA_Battlecrab",
		RequiredResearch = "",
		RequiredShipSubSystems = "",
		DisplayPriority = 1000,
		DisplayedName = "Battlecrab",
		Description = "",
	},

	{
		Type = Ship,
		ThingToBuild = "SHA_Spitfire",
		RequiredResearch = "",
		RequiredShipSubSystems = "",
		DisplayPriority = 1001,
		DisplayedName = "Spitfire",
		Description = "",
	},
	
	{
		Type = Ship,
		ThingToBuild = "VOR_fighter",
		RequiredResearch = "",
		RequiredShipSubSystems = "",
		DisplayPriority = 1002,
		DisplayedName = "Lightning",
		Description = "",
	},	
	
	-- Normal build ships	

	{
		Type = Ship,
		ThingToBuild = "Hgn_Carrier",
		RequiredResearch = "",
		RequiredShipSubSystems = "CapShipProduction",
		DisplayPriority = 110,
		DisplayedName = "$7054",
		Description = "$7055",
	},
	
	{
		Type = Ship,
		ThingToBuild = "Hgn_ResourceCollector",
		RequiredResearch = "",
		RequiredShipSubSystems = "",
		DisplayPriority = 120,
		DisplayedName = "$7066",
		Description = "$7067",
	},

	{
		Type = Ship,
		ThingToBuild = "Hgn_ResourceController",
		RequiredResearch = "",
		RequiredShipSubSystems = "",
		DisplayPriority = 130,
		DisplayedName = "$7068",
		Description = "$7069",
	},

	{ 
		Type = Ship, 
		ThingToBuild = "MIN_Lintira", 
		RequiredResearch = "", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 5, 
		DisplayedName = "Lintira Scout", 
		Description = "<b>Designation:</b> Lintira Scout\n"..
			"<b>Length:</b> 9.56m\n"..
			"<b>Weapons:</b> 2 x Mini Neutron guns\n"..
			"<b>Description:</b> A small, multipurpose, long range scout/transport. Used for both recon and attack.\n"..
			"<b>Squad size:</b> 3\n"..
			"<b>Strong vs:</b> Fighters\n"..
			"<b>Weak vs:</b> All \n"..
			"<b>Requires:</b> N/A\n",

	},

	{ 
		Type = Ship, 
		ThingToBuild = "MIN_Tishat", 
		RequiredResearch = "", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 8, 
		DisplayedName = "Tishat Fighter", 
		Description = "<b>Designation:</b> Fighter/Bomber\n",
	},

	{ 
		Type = Ship, 
		ThingToBuild = "MIN_Torotha", 
		RequiredResearch = "ClassCorvette", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 40, 
		DisplayedName = "Torotha", 
		Description = "<b>Designation:</b> Omega Destroyer \n"..
			"<b>Length:</b> 2000m\n"..
			"<b>Weapons:</b> 12 x Heavy Neutron Guns\n"..
			"<b>Description:</b>A Warcruiser built by the Warrior and Worker classes. Used for recon and attack,etc..\n"..
			"<b>Squad size:</b> 1\n"..
			"<b>Strong vs:</b> Fighters,Corvettes,Frigates,Capital ships\n"..
			"<b>Weak vs:</b> Heavy Cruisers\n"..
			"<b>Requires:</b> You\n",
	},

	{ 
		Type = Ship, 
		ThingToBuild = "MIN_KinshaSat", 
		RequiredResearch = "ClassSatellite", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 30, 
		DisplayedName = "Kinsha", 
		Description = "<b>Designation:</b> Defence Satellite\n",
	},  

	{ 
		Type = Ship, 
		ThingToBuild = "MIN_Troligan", 
		RequiredResearch = "ClassFrigate", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 51, 
		DisplayedName = "Troligan Assualt Cruiser", 
		Description = "<b>Designation:</b> Troligan Frigate\n",
	},  
	{ 
		Type = Ship, 
		ThingToBuild = "MIN_Tinashi", 
		RequiredResearch = "ClassNeutronBeam", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 52, 
		DisplayedName = "Tinashi War Frigate", 
		Description = "<b>Designation:</b> Tinashi Destroyer \n"..
			"<b>Length:</b> 2000m\n"..
			"<b>Weapons:</b> 12 x Heavy Neutron Guns\n"..
			"<b>Description:</b>A Warcruiser built by the Warrior and Worker classes. Used for recon and attack,etc..\n"..
			"<b>Squad size:</b> 1\n"..
			"<b>Strong vs:</b> Fighters,Corvettes,Frigates,Capital ships\n"..
			"<b>Weak vs:</b> Heavy Cruisers\n"..
			"<b>Requires:</b> You\n",
	},

	
	{ 
		Type = Ship, 
		ThingToBuild = "MIN_Nial", 
		RequiredResearch = "ClassAdvancedReactors", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 10, 
		DisplayedName = "Nial Fighter", 
		Description = "<b>Designation:</b> Nial Fighter \n"..
			"<b>Length:</b> 9.56m\n"..
			"<b>Weapons:</b> 3 x Mini Neutron guns\n"..
			"<b>Description:</b> A small, multipurpose, short range fighter. Used for both recon and attack.\n"..
			"<b>Squad size:</b> 3\n"..
			"<b>Strong vs:</b> Fighters\n"..
			"<b>Weak vs:</b> All \n"..
			"<b>Requires:</b> N/A\n",
	},	
	
	{ 
		Type = Ship, 
		ThingToBuild = "MIN_Sharlin", 
		RequiredResearch = "ClassHeavyCruiser", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 60, 
		DisplayedName = "Sharlin Warcruiser", 
		Description = "<b>Designation:</b> Omega Destroyer \n"..
			"<b>Length:</b> 2000m\n"..
			"<b>Weapons:</b> 12 x Heavy Neutron Guns\n"..
			"<b>Description:</b>A Warcruiser built by the Warrior and Worker classes. Used for recon and attack,etc..\n"..
			"<b>Squad size:</b> 1\n"..
			"<b>Strong vs:</b> Fighters,Corvettes,Frigates,Capital ships\n"..
			"<b>Weak vs:</b> Heavy Cruisers\n"..
			"<b>Requires:</b> You\n",
	},	
	

	{ 
		Type = Ship, 
		ThingToBuild = "MIN_Whitestar", 
		RequiredResearch = "ClassNeutronBeam & TechFirstOnes", 
		RequiredShipSubSystems = "", 
		DisplayPriority = 41, 
		DisplayedName = "Whitestar", 
		Description = "<b>Designation:</b> Whitestar Monitor\n",
	},
  
  	{ 
  		Type = Ship, 
  		ThingToBuild = "MIN_Morshin", 
  		RequiredResearch = "", 
  		RequiredShipSubSystems = "", 
  		DisplayPriority = 49, 
  		DisplayedName = "Morshin Carrier", 
  		Description = "<b>Designation:</b> Omega Destroyer \n"..
  			"<b>Length:</b> 2000m\n"..
  			"<b>Weapons:</b> 12 x Heavy Neutron Guns\n"..
  			"<b>Description:</b>A Warcruiser built by the Warrior and Worker classes. Used for recon and attack,etc..\n"..
  			"<b>Squad size:</b> 1\n"..
  			"<b>Strong vs:</b> Fighters,Corvettes,Frigates,Capital ships\n"..
  			"<b>Weak vs:</b> Heavy Cruisers\n"..
  			"<b>Requires:</b> You\n",
	},
  
  
}
